### Constructor

# Rsvg Handle new_with_flags

since: 2.36

#### Declaration [src]

    RsvgHandle*
    rsvg_handle_new_with_flags (
      RsvgHandleFlags flags
    )

#### Description [src]

Creates a new `RsvgHandle` with flags `flags`. After calling this function, you can feed the resulting handle with SVG data by using `rsvg_handle_read_stream_sync()`.

Available since: 2.36

#### Parameters

`flags`

  Type: `RsvgHandleFlags`

  Flags from `RsvgHandleFlags`

#### Return value

Type: `RsvgHandle`

A new `RsvgHandle`

The caller of the function takes ownership of the data, and is responsible for freeing it.